summaryrefslogtreecommitdiff
path: root/init.d/net.lo.in
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/net.lo.in')
-rw-r--r--init.d/net.lo.in11
1 files changed, 8 insertions, 3 deletions
diff --git a/init.d/net.lo.in b/init.d/net.lo.in
index 8f53a86..cce62e5 100644
--- a/init.d/net.lo.in
+++ b/init.d/net.lo.in
@@ -663,9 +663,14 @@ stop()
fi
done
- ! yesno ${IN_BACKGROUND} && \
- [ "${IFACE}" != "lo" -a "${IFACE}" != "lo0" ] && \
- _down 2>/dev/null
+ # If not in background, and not loopback then bring the interface down
+ # unless overridden.
+ if ! yesno ${IN_BACKGROUND} && \
+ [ "${IFACE}" != "lo" -a "${IFACE}" != "lo0" ]; then
+ eval module=\$ifdown_${IFVAR}
+ module=${module:-YES}
+ yesno ${module} && _down 2>/dev/null
+ fi
type resolvconf >/dev/null 2>&1 && resolvconf -d "${IFACE}" 2>/dev/null